Bug 1327233 - Images for plugins in production mode result in 404s
Summary: Images for plugins in production mode result in 404s
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1323076
TreeView+ depends on / blocked
 
Reported: 2016-04-14 14:26 UTC by Walden Raines
Modified: 2019-09-25 21:18 UTC (History)
3 users (show)

Fixed In Version: foreman-1.11.0.16-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:08:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14645 None None None 2016-04-22 15:51:57 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Walden Raines 2016-04-14 14:26:23 UTC
Images are going through the legacy asset helpers in sprockets-rails, we need to fix that.

For plugins we need to ensure that the digest is looking up digested assets in production and ensure that the prefix is set in order to generate the proper path for the assets.

This will allow the use of image-url in sass for the correct retrieval of digested images.

Comment 1 Walden Raines 2016-04-14 14:26:25 UTC
Created from redmine issue http://projects.theforeman.org/issues/14645

Comment 2 Walden Raines 2016-04-14 14:26:28 UTC
Upstream bug assigned to walden@redhat.com

Comment 3 Walden Raines 2016-04-14 14:27:27 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=1323076

Comment 4 Walden Raines 2016-04-14 14:27:36 UTC
PR - https://github.com/theforeman/foreman/pull/3423

Comment 5 Walden Raines 2016-04-14 14:32:21 UTC
Summary:  this bug is basically just a container for the foreman changes necessary to fix bug #1323076 per our process of requiring a bug per repository.

Comment 7 Bryan Kearney 2016-04-14 16:04:09 UTC
Upstream bug component is WebUI

Comment 8 Bryan Kearney 2016-04-15 10:03:41 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/14645 has been closed
-------------
Walden Raines
Applied in changeset commit:db8510329fc284bd17cea01df09ea0a5f4f5364b.

Comment 11 jcallaha 2016-04-20 20:26:23 UTC
Verified in Satellite 6.2 Beta Snap 9. The icons previously impacted are now shown.

Comment 13 errata-xmlrpc 2016-07-27 09:08:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.